summaryrefslogtreecommitdiff
path: root/debian/postrm
diff options
context:
space:
mode:
authorsvntobi <svntobi@cd0d6b48-d4f9-0310-940f-ab8c4eb44d3f>2007-08-11 15:40:59 +0000
committersvntobi <svntobi@cd0d6b48-d4f9-0310-940f-ab8c4eb44d3f>2007-08-11 15:40:59 +0000
commit9bc88e820e60b6ecbce4113afc14fa56907048e2 (patch)
treecad94c257a6933a0636eb5f8fd152516c14370fd /debian/postrm
parentf9d256e6b547eefc8e7769e7263418b92e553449 (diff)
downloadvdr-plugin-menuorg-9bc88e820e60b6ecbce4113afc14fa56907048e2.tar.gz
vdr-plugin-menuorg-9bc88e820e60b6ecbce4113afc14fa56907048e2.tar.bz2
Added debian installation of menuorg.xml/xsd
git-svn-id: file:///home/tobias/sandbox/vdr/--/vdr-pkg/vdr-pkg/submenu/trunk@5678 cd0d6b48-d4f9-0310-940f-ab8c4eb44d3f
Diffstat (limited to 'debian/postrm')
-rw-r--r--debian/postrm42
1 files changed, 42 insertions, 0 deletions
diff --git a/debian/postrm b/debian/postrm
new file mode 100644
index 0000000..b823ff0
--- /dev/null
+++ b/debian/postrm
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postrm script for vdr-plugin-menuorg
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ purge)
+ rm -f /var/lib/vdr/plugins/menuorg.xml
+ ;;
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+